import type { IdType, SortOrderType } from './base';
export interface ColDataType {
    /** 宽度变化 */
    width: {
        [dataIndex in IdType]: number;
    };
    /** 排序 */
    sort: {
        key: IdType;
        value: SortOrderType;
        source: {
            [key in IdType]: any;
        } | undefined;
    };
    /** 表头折叠 */
    fold: {
        [dataIndex in IdType]: number;
    };
    /** 数据行折叠id，组织树场景 */
    expand: string[];
    /** 异步加载的组织树数据 */
    expandData: {
        [key in IdType]: any;
    };
    /** 编辑状态产生的单元格修改值 */
    changeDataSource: {
        [rowId in IdType]: {
            [dataIndex in IdType]: any;
        };
    };
    defaultItemHeight: number;
    defaultItemWidth: number;
    deleteDataRowIdArr: string[];
    addDataRowIdArr: string[];
    disableDate: {
        [rowId in IdType]: {
            [dataIndex in IdType]: any;
        };
    };
}
export declare type GridRefType = {
    scrollTo: (a: {
        scrollLeft: number;
        scrollTop: number;
    }) => void;
    resetAfterColumnIndex: (colIndex: number, flag: boolean) => void;
    resetAfterRowIndex: (colIndex: number, flag: boolean) => void;
} | null;
